<nav class="navbar navbar-toggleable-md navbar-inverse bg-inverse bg-faded">
  <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <a class="navbar-brand" href="#">
    Demos
  </a>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item"  routerLinkActive="active">
        <a class="nav-link" [routerLink]="['home']">Home </a>
      </li>

      <li class="nav-item"  routerLinkActive="active">
        <a class="nav-link" [routerLink]="['user', 10]">User </a>
      </li>

    </ul>
  </div>
</nav>
